Bug 12110 - Display the order vendor note in basket and basketgroup CSV and PDF
Summary: Display the order vendor note in basket and basketgroup CSV and PDF
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: mathieu saby
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-19 18:41 UTC by mathieu saby
Modified: 2015-06-04 23:33 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
[PATCH] Bug 12110 : Display the order vendor note in basket and basketgroup CSV and PDF (7.56 KB, patch)
2014-04-19 18:50 UTC, mathieu saby
Details | Diff | Splinter Review
[PATCH] Bug 12110 : Display the order vendor note in basket and basketgroup CSV and PDF (6.62 KB, patch)
2014-05-08 15:50 UTC, mathieu saby
Details | Diff | Splinter Review
Display the order vendor note in basket and basketgroup (6.88 KB, patch)
2014-05-12 10:36 UTC, Paola Rossi
Details | Diff | Splinter Review
Bug 12110 [PATCH 2/2] QA followup : french and german translation (4.29 KB, patch)
2014-05-18 19:43 UTC, mathieu saby
Details | Diff | Splinter Review
Bug 12110 : Display the order vendor note in basket and basketgroup CSV and PDF (6.82 KB, patch)
2014-05-21 07:35 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 12110 : Display the order vendor note in basket and basketgroup CSV and PDF (6.82 KB, patch)
2014-05-21 07:36 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 12110 [PATCH 2/2] QA followup : french and german translation (4.44 KB, patch)
2014-05-21 07:36 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description mathieu saby 2014-04-19 18:41:44 UTC
Now that Bug 9416 is pushed, we can improve Basketgroup PDFs to display the note made for the vendor.
We can also replace the internal order note with the vendor order note.

M. Saby
Comment 1 mathieu saby 2014-04-19 18:50:49 UTC Comment hidden (obsolete)
Comment 2 mathieu saby 2014-05-08 15:50:07 UTC Comment hidden (obsolete)
Comment 3 mathieu saby 2014-05-08 15:52:02 UTC
Back to need sign off

Of course, you can discuss the ergonomy of the display for the vendor note (maybe the "----------" before the note is not very nice)

Mathieu
Comment 4 Paola Rossi 2014-05-12 10:32:59 UTC
I test against master 3.15.00.051 .

All is OK.

So I pass the patch to "Signed Off" status.
Comment 5 Paola Rossi 2014-05-12 10:36:01 UTC Comment hidden (obsolete)
Comment 6 Jonathan Druart 2014-05-15 13:16:47 UTC
I think the change should be done in all packages existing in acqui/pdfformat.

Marked as Failed QA.
Comment 7 mathieu saby 2014-05-17 18:00:28 UTC
(In reply to Jonathan Druart from comment #6)
> I think the change should be done in all packages existing in
> acqui/pdfformat.
> 
> Marked as Failed QA.

I suppose you mean in german and french version. I can do it for french, of course, and try to do something for german. I don't speak german, but Google Translate proposes "Hinweise für den Lieferanten" for "Note for vendor". I will ask Katrin to be sure.

Mathieu
Comment 8 Katrin Fischer 2014-05-17 18:06:50 UTC
I think "Lieferantennotiz" is what we use in some other places, so that might work :)
Comment 9 mathieu saby 2014-05-17 18:13:14 UTC
I was just writing you a mail ;-)
Thank you for the advice

Mathieu
Comment 10 mathieu saby 2014-05-18 19:43:16 UTC Comment hidden (obsolete)
Comment 11 Jonathan Druart 2014-05-21 07:35:51 UTC Comment hidden (obsolete)
Comment 12 Jonathan Druart 2014-05-21 07:36:18 UTC
Created attachment 28382 [details] [review]
Bug 12110 : Display the order vendor note in basket and basketgroup CSV and PDF

(Rebased after bug 11859 is pushed)

This bug adds the "vendor note" for each order in the PDF for basketgroups.
The note is display only if it exists, just under the bibliographic information.
I added a separation line "--------" between bibliographic information and the note,
so that it could be visible at 1st glance

It also replaces the internal note with the vendor in the CSV for basket and basketgroup
It is more logical and useful for libraries to export the note made for vendor, as those files
are destined to be sent to the vendor.

Test plan :
- fill a basket with some orders, some with internal notes, some with vendor notes
- export the basket in CSV : only the vendor notes should be present
- put the basket in a basketgroup
- export the basketgroup in CSV : only the vendor notes should be present
- Select "English-2 pages" template for basketgroups in Sysprefs
- export the basket in PDF : the vendor notes should be present under the bibliographic information
- Select "English-3 pages" template for basketgroups in Sysprefs
- export the basket in PDF : the vendor notes should be present under the bibliographic information

Signed-off-by: Paola Rossi <paola.rossi@cineca.it>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 13 Jonathan Druart 2014-05-21 07:36:21 UTC
Created attachment 28383 [details] [review]
Bug 12110 [PATCH 2/2] QA followup : french and german translation

This followup
- translates "vendor note" in french and german.
- replaces "Notes for vendor" with "Note for vendor" in english template (as there can only be 1 note)
- fixes a typo in french template (Qte => Qté, for "Quantité")

Test plan :
set OrderPdfFormat preference to "French 3-pages"
Print a basketgroup containing an order with a vendornote, and check the note is displayed and introduced by "Notes pour le fournisseur"
set OrderPdfFormat preference to "German 2-pages"
Print a basketgroup containing an order with a vendornote, and check the note is displayed and introduced by "Lieferantennotiz"

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 14 Galen Charlton 2014-05-25 15:25:12 UTC
Pushed to master.  Thanks, Mathieu!